"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaginatedData = void 0;
class PaginatedData {
    constructor(data, transform) {
        this.data = data.data.map((item) => transform(item));
        this.currentPage = data.current_page;
        this.from = data.from;
        this.lastPage = data.last_page;
        this.perPage = data.per_page;
        this.to = data.to;
        this.total = data.total;
        // this.firstPageUrl = data.first_page_url
        // this.lastPageUrl = data.last_page_url
        // this.links = data.links
        // this.nextPageUrl = data.next_page_url
        // this.path = data.path
        // this.prevPageUrl = data.prev_page_url
    }
    static empty() {
        return new PaginatedData({
            data: [],
            current_page: 0,
            from: 0,
            last_page: 0,
            per_page: 0,
            to: 0,
            total: 0,
            first_page_url: "",
            last_page_url: "",
            links: {
                active: false,
                label: "",
                url: null,
            },
            next_page_url: null,
            path: "",
            prev_page_url: null,
        }, (data) => data);
    }
}
exports.PaginatedData = PaginatedData;
